VKD3D-COMPILER(1)

NAME
vkd3d-compiler - shader compiler for vkd3d

SYNOPSIS
vkd3d-compiler [options...] [file]

OPTIONS

-h, --help
    Display this information and exit.

-b <type>
    Specify the target type.

--buffer-uav=<type>
    Specify the buffer type to use for buffer UAV bindings. Valid values are 'buffer-texture' (default) and 'storage-buffer'.

-o, --output=<file>
    Write the output to <file>. If <file> is '-' or no output file is specified, output will be written to standard output.

--formatting=<flags>
    Specify the formatting options for text output. <flags> is a comma separated list of formatting flags, optionally prefixed by '+' or '-'. Valid flags are 'colour', 'indent', 'offsets', 'header', and 'raw-ids'. The 'indent' and 'header' flags are enabled by default.

--print-source-types
    Display the supported source types and exit.

--print-target-types
    Display the supported target types for the specified source type and exit.

--strip-debug
    Strip debug information from the output.

-V, --version
    Display version information and exit.

-x <type>
    Specify the type of the source. Valid values are 'dxbc-tpf' and 'none'.

--  Stop option processing. Any subsequent argument is interpreted as a filename.

If the input file is '-' or not specified, input will be read from standard input.